Package csb :: Package statistics :: Package samplers :: Class AbstractSampler

[frames] | no frames]

# Class AbstractSampler

source code

    object --+
             |
            AbstractSampler

Known Subclasses:
  - mc.AbstractMC

Abstract interface for sampling algorithms.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

AbstractState

sample(self) Draw a sample. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``sample``'``])``

Properties
Inherited from `object`: `__class__`